#include <stdio.h>
#include <stdlib.h>
#include <wchar.h>
#include <locale.h>

#define A 256

struct node {
  wchar_t lettre;
  struct cell* listeFils;
};

struct cell {
  struct node* arbre;
  struct cell* arbreSuivant;
};

void ajout_tete(wchar_t, struct cell**);

struct cell ** insertion(wchar_t, struct cell**);

void initialisation_tab_arbre(struct node[]);

int indice_lettre(struct node[], wchar_t);

void remplir_dico(FILE*, struct node[]);

struct cell ** test_mot(wchar_t, struct cell**, int*);

void correction_txt(FILE*, struct node[]);

void correction_mot(struct node[]);

void desallocationArbre(struct cell**);

void desallocationTableauArbre(struct node[]);